QGIS Application - Bug report #4584
Make projection info consistent
2011-11-30 10:40 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14491
Description

The projection info is sometimes displayed as proj.4 string, sometimes as EPSG:code, sometimes even with only the code. Windows
should be revised, and the same info should be used everywhere. Probably the EPSG:code is more readable.

History

#1 - 2011-12-09 05:16 AM - Paolo Cavallini

Possibly the EPSG code + name (as it is currently displayed e.g. in Layer properties>General) is the optimal solution.

See e.g. the New shapefile layer dialog, etc.

#2 - 2011-12-11 05:49 AM - Paolo Cavallini

See also #1320

#3 - 2011-12-11 06:07 AM - Alexander Bruy

And also #4100

#4 - 2011-12-15 08:35 AM - Alexander Bruy

Also #4549

#5 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2011-12-24 12:12 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No
- Affected QGIS version set to master

Same also in other dialogs, e.g. Vector>Define current projection>Input spatial reference system and below

#7 - 2012-04-16 06:32 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

2025-07-02 12




#8 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2014-06-28 07:41 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2015-05-21 01:29 AM - Alexander Bruy

- Status changed from Open to Feedback

Seems fixed now with new projection selector widget

#11 - 2015-05-21 02:28 AM - Paolo Cavallini
- Status changed from Feedback to Open

Not fully: see e.g. the create new spatialite layer dialog.

#12 - 2016-05-24 02:24 AM - Alexander Bruy
- Status changed from Open to Closed

Should be fixed now. Please reopen if necessary
